Skip to content
Start here

Get account Email Sending suppression

GET/accounts/{account_id}/email/sending/suppressions/{suppression_id}

Gets an Email Sending suppression owned by the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string
suppression_id: string
formatuuid
ReturnsExpand Collapse
errors: array of unknown
messages: array of unknown
result: object { id, created_at, email, 4 more }
id: string
formatuuid
created_at: string
formatdate-time
email: string
formatemail
expires_at: string
formatdate-time
read_only: boolean

Whether clients may mutate this suppression. This is determined by the server and must not be inferred from reason.

reason: string
note: optional string
success: boolean

Get account Email Sending suppression

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/email/sending/suppressions/$SUPPRESSION_ID \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "email": "user@example.com",
    "expires_at": "2019-12-27T18:11:19.117Z",
    "read_only": true,
    "reason": "hard_bounce",
    "note": "Imported from CRM"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "email": "user@example.com",
    "expires_at": "2019-12-27T18:11:19.117Z",
    "read_only": true,
    "reason": "hard_bounce",
    "note": "Imported from CRM"
  },
  "success": true
}